using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a drakkhen corpse" )]
	public class Drakkhen : BaseCreature
	{
		[Constructable]
		public Drakkhen () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a drakkhen";
			Body = 141;
			BaseSoundID = 0x4E0;
			AnimationMod = 3;

			SetStr( 496, 525 );
			SetDex( 86, 105 );
			SetInt( 236, 275 );

			SetHits( 278, 395 );

			SetDamage( 10, 18 );

			SetSkill( SkillName.Concentration, 30.1, 40.0 );
			SetSkill( SkillName.Magery, 30.1, 40.0 );
			SetSkill( SkillName.MagicResist, 79.1, 80.0 );
			SetSkill( SkillName.Tactics, 77.6, 80.0 );
			SetSkill( SkillName.HandToHand, 70.1, 72.5 );

			Fame = 10000;
			Karma = -10000;

			VirtualArmor = 48;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Gems, 4 );
		}

		public override bool ReacquireOnMovement{ get{ return !Controlled; } }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int Meat{ get{ return 12; } }
		public override int Hides{ get{ return 15; } }

		public Drakkhen( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}